/*
Name:   compute.h
Zweck:  Aufnahme der Vorabdefinitionen von compute.c
Autor:  Andreas Seifert
Datum:
Update:
*/

#ifndef _COMPUTE_H_
#define _COMPUTE_H_

/********************************************************/
/*  compute.h - header file fuer compute.c              */
/********************************************************/


#include <stdio.h>      /*Standard-Header-Datei fuer C */
#include <math.h>       /* Definition mathematischer Funktionen */
#include <Xm/Xm.h>      /* OSF/Motif-Widget-Set */
#include "struct.h"     /* Definitionen der Datenstrukturen, Konstanten */
#include "globals.h"    /* Vereinbarung global verfuegbarer Variablen */


/* Vorabdefinitionen */
void   computeReli(NODE *, int);
void   computeCorrespondingArray(NODE *, int *);
void   permutArray(int *);
void   addProbability(int *, int);
void   markGraph(int *);
void   initializeNet(NODE *);
Bool   successfullVQM(int, NODE *);
Bool   connectionExists(VQM_SET *, NODE *);
void   findpath(NODE *);
ARC    *correspondingArc(ARC *);


#endif /* _COMPUTE_H_ */


