/*
Name:   set.h
Zweck:  Aufnahme der Vorabdefinitionen von set.c
Autor:  Andreas Seifert
Datum:
Update:
*/

#ifndef _SET_H_
#define _SET_H_

/********************************************************/
/*  set.h - header file fuer set.c                      */
/********************************************************/


/************* Allgemeine Header-Dateien einbinden **************************/

#include <stdio.h>         /* Standard-Header-Datei fuer C */
#include <Xm/Xm.h>         /* OSF/Motif-Widget-Set */

#include "struct.h"        /* enthaelt die Definitionen der Datenstrukturen */
#include "globals.h"       /* Vereinbarung global verfuegbarer Variablen */



/* Vorabdefinitionen */
void                  createSuccessfulSons(GRAPHIC_NODE *, int);
void                  createPermutations(GRAPHIC_NODE *, GRAPHIC_ARC *, int);
Bool                  checkPermutation(GRAPHIC_NODE *, int);
Bool                  computeVQM(GRAPHIC_NODE *);
Bool                  buildVQM(GRAPHIC_SET *, Bool *, int);
void                  addPermutationToFather(GRAPHIC_NODE *, int);
void                  printVQM(int);
void                  initVotingStructure(int);
void                  printSons();
#endif /* _SET_H_ */

